SHA Class Reference

`#include <sha.h>`

## Public Member Functions

| SHA ()
virtual | ~SHA ()
void | reset ()
void | finalize ()
const std::string | hex ()
const std::string | binary ()
void | feed (const unsigned char *data, unsigned length)
void | feed (const std::string &data)

## Detailed Description

An implementation of SHA1.

Author
  Jakob Schröter js@ca.nosp@m.maya.nosp@m..net

Since
  0.9

Definition at line 29 of file sha.h.

## Constructor & Destructor Documentation

## SHA()

SHA | ( |  | ) |

Constructs a new SHA object.

Definition at line 23 of file sha.cpp.

## ~SHA()

~SHA | ( |  | ) |

virtual

Virtual Destructor.

Definition at line 28 of file sha.cpp.

## Member Function Documentation

## binary()

const std::string binary | ( |  | ) |

Returns the raw binary message digest. Finalizes the hash if finalize() has not been called before.

Returns
  The message raw binary digest.

Definition at line 68 of file sha.cpp.

## feed() [1/2]

void feed | ( | const std::string & | data | ) |

Provide input to SHA1.

Parameters

  data | The data to compute the digest of.

Definition at line 125 of file sha.cpp.

## feed() [2/2]

void feed | ( | const unsigned char * | data,
|  | unsigned | length )

Provide input to SHA1.

Parameters

  data | The data to compute the digest of.
  length | The size of the data in bytes.

Definition at line 89 of file sha.cpp.

## finalize()

void finalize | ( |  | ) |

Finalizes the hash computation.

Definition at line 80 of file sha.cpp.

## hex()

const std::string hex | ( |  | ) |

Returns the message digest in hex notation. Finalizes the hash if finalize() has not been called before.

Returns
  The message digest.

Definition at line 53 of file sha.cpp.

## reset()

void reset | ( |  | ) |

Resets the internal state.

Definition at line 48 of file sha.cpp.

The documentation for this class was generated from the following files:

- sha.h
- sha.cpp